IF OBJECT_ID('dbo.vw_fco_integrada_rt09') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_rt09
GO
CREATE VIEW dbo.vw_fco_integrada_rt09
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Registro Tipo 9 - ESAP
-- Autor: Juan Carlos Leguizamon
-- Fecha: Diciembre 2005
-- Revisiones:
-- JCL 25-AGO-07 Inclusión del campo Tipo de Planilla
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal, secuencia, tipo_planilla,
    registro =
    '09' + RIGHT('00000' + RTRIM(secuencia), 5) +
    RIGHT('0000000000000000' + nit, 16) + dv + 
    RIGHT('0000000000' + RTRIM(valor), 10) +
    RIGHT('0000' + RTRIM(dias_mora), 4) +
    RIGHT('0000000000' + RTRIM(int_mora), 10) + 
    RIGHT('0000000000' + RTRIM(total_pagar), 10)
FROM fco_integrada_rt09
WHERE 1=0
GO
GRANT SELECT ON dbo.vw_fco_integrada_rt09 TO PUBLIC
GO
